//
// OptionsDialog.h
//

#ifndef inc_OptionsDialog_h
#define inc_OptionsDialog_h

#include "vgui\Dialog.h"
#include "vgui\AutoPrefs.h"

class OptionsDialog : public vgui::Dialog
{
	public:
		OptionsDialog(vgui::Window *pParent = NULL);

		void OnInitDialog();

	private:
		vgui::AutoPrefCheckBox m_Ask_Rename,
							   m_Ask_Undo;

		vgui::AutoPrefCheckBox m_Tell_RenameSuccess,
							   m_Tell_RenameErrors,
							   m_Tell_UndoComplete;

		vgui::AutoPrefRadioGroup m_ReadOnlyAction;
};

#endif // !inc_OptionsDialog_h
