//
// OptionsDialog.cpp
//

#include "StdHdr.h"

#include "OptionsDialog.h"

#include "Res\Resource.h"

static vgui::ControlID s_ReadOnlyIDs[] = 
{
	IDC_READONLY_ASK,
	IDC_READONLY_ALWAYS,
	IDC_READONLY_NEVER,
	vgui::NOCTL
};

static const char* s_szReadOnlyValues[] = 
{
	"Ask", "Always", "Never"
};

OptionsDialog::OptionsDialog(vgui::Window *pParent) 

	: vgui::Dialog(IDD_OPTIONS, pParent)

{
	// TCILB
}


void OptionsDialog::OnInitDialog()
{
	// Attach AutoPrefs
	m_Ask_Rename.Attach(this,		  IDC_ASK_WARNINGS,			"UI.AskUserAbout.RenameWarnings");
	m_Ask_Undo.Attach(this,			  IDC_ASK_UNDO,				"UI.AskUserAbout.Undo");
	m_Tell_RenameSuccess.Attach(this, IDC_TELLME_RENAMESUCCESS, "UI.TellUserAbout.RenameSuccess");
	m_Tell_RenameErrors.Attach(this,  IDC_TELLME_RENAMEFAILED,  "UI.TellUserAbout.RenameErrors");
	m_Tell_UndoComplete.Attach(this,  IDC_TELLME_UNDOSUCCESS,   "UI.TellUserAbout.UndoSuccess");

	m_ReadOnlyAction.Attach(this, s_ReadOnlyIDs, s_szReadOnlyValues, "UI.AskUserAbout.ReadOnlyFiles", "Ask");
}
